//*****************************************************************************
//* OpenLog DRIVER FOR PIC32MX595F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.34 - MPLABX v3.05
//* LAST UPDATE	08/17/2015
//* NOTES:
//*****************************************************************************

#ifndef MICROSD_DRIVER_H
#define	MICROSD_DRIVER_H

#ifdef	__cplusplus
extern "C" {
#endif

//*****************************************************************************
// PROTOTYPES
//*****************************************************************************
void init(void);
BYTE recvchar1(void);
BYTE recvchar2(void);
BYTE recvchar4(void);
BYTE recvchar5(void);
BYTE CharInQueue1(void);
BYTE CharInQueue2(void);
BYTE CharInQueue4(void);
BYTE CharInQueue5(void);
void readFileAscii(BYTE filenum);
void readFile(BYTE filenum);
void newFile(BYTE filenum);
void writeFile(BYTE filenum);
WORD getFileSize(BYTE fileNum);
void listFile(void);
void idle(void);
//*****************************************************************************
//* CLOCK MACROS
//*****************************************************************************
#define GetSystemClock()            80000000UL
#define GetPeripheralClock()        80000000UL
#define CoreTicksPerMs              (GetSystemClock() / 2000)
#define CoreTicksPeruS              (GetSystemClock() / 2000000UL)



#ifdef	__cplusplus
}
#endif

#endif	/* MICROSD_DRIVER_H */

