//*****************************************************************************
//* OpenLog DRIVER FOR PIC32MX595F512H
//* WRITTEN BY FRED EADY
//* NO USB SUPPORT IN THIS VERSION
//* COMPILED USING XC32 v1.34 - MPLABX v3.05
//* LAST UPDATE	08/17/2015
//* NOTES:
//*****************************************************************************
#ifndef PORTMACROS_H
#define	PORTMACROS_H

#ifdef	__cplusplus
extern "C" {
#endif
//*****************************************************************************
//* Global Interrupts
//*****************************************************************************
#define ei()		INTEnableInterrupts()
#define di()		INTDisableInterrupts()

#define	btnUTL		(PORTFbits.RF3)

#define rstHI		LATBSET = 0x0020;    //0000 0000 0010 0000
#define rstLO		LATBCLR = 0x0020;    //0000 0000 0010 0000

#define atmrstLO	LATBCLR = 0x8000;    //1000 0000 0000 0000
#define atmrstHI	LATBSET = 0x8000;    //1000 0000 0000 0000

#define gpio9LO		LATECLR = 0x0200;    //0000 0000 0010 0000
#define gpio9HI		LATESET = 0x0200;    //0000 0000 0010 0000
//*****************************************************************************
//* LEDs
//*****************************************************************************
#define bluLED		LATEbits.LATE4
#define bluLED_Off	LATECLR = 0x0010;   //0000 0000 0001 0000
#define bluLED_On	LATESET = 0x0010;   //0000 0000 0001 0000
#define bluLED_Tog	LATEINV = 0x0010;   //0000 0000 0001 0000

#define redLED		LATEbits.LATE3
#define redLED_Off	LATECLR = 0x0008;   //0000 0000 0000 1000
#define redLED_On	LATESET = 0x0008;   //0000 0000 0000 1000
#define redLED_Tog	LATEINV = 0x0008;   //0000 0000 0000 1000

#define grnLED		LATEbits.LATE2
#define grnLED_Off	LATECLR = 0x0004;   //0000 0000 0000 0100
#define grnLED_On	LATESET = 0x0004;   //0000 0000 0000 0100
#define grnLED_Tog	LATEINV = 0x0004;   //0000 0000 0000 0100

#ifdef	__cplusplus
}
#endif

#endif	/* PORTMACROS_H */


